Download OpenAPI specification:
homeit is a property management system, designed for short-term rentals. The homeit platform allows you to manage all your properties from a single place.
The homeit Core API allows you to view your properties, create keys and check entry logs.
If you have any suggestions or questions regarding this API, please send us an email.
These documentation pages were automatically generated from an OpenAPI file, and are intended to be used by developers as detailed descriptions of our API.
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC 2119] [RFC 8174] when, and only when, they appear in all capitals, as shown here.
What this API does for partners
The homeit Core API allows partners to integrate with the homeit network.
Our API is REST-compliant and uses resource-oriented URLs and common HTTP response codes to indicate API errors.
This document is entirely written in English. Similarly, all enumerated values used in this API are also written in English.
The API is available at https://api.homeit.io/v2.
This API consists of several resource routes. Each resource route allows a user to find, create, update or remove a specific resource type.
All resource routes follow the same structure and offer similar high-level functionality. When applicable, resource routes include the following endpoints:
GET /{{resource}}: Find all available resources the authenticated user is allowed to access. Search query parameters may be used to filter results.POST /{{resource}}: Create a new resource.GET /{{resource}}/{{id}}: Create a specific resource by its ID.PUT /{{resource}}/{{id}}: Update a specific resource.DELETE /{{resource}}/{{id}}: Remove a specific resource.For example, to update the name of a Key resource with ID 123456 to "HOMEIT", an HTTP PUT request should be sent to https://api.homeit.io/v2/keys/123456 with the body {"name":"HOMEIT"}.
This document's first sections provide details on how to use the API, including security considerations, data formats, and testing instructions.
Then, all resource routes are listed. In this section, you will find request and response formats for each resource type, as well as example responses and code snippets.
Finally, we include the data model for each resource type, along with data type requirements and example values. Fields present in a resource document but not included in the resource's data model should not be used, as they are subject to change at any moment without prior notice. Deprecated fields will be marked as such and should also not be used.
Most API routes require authentication using an API Key or a Bearer token. Requests made without authentication will fail with a 401 Unauthorized error.
When applicable, requests may be authenticated using one of the following methods:
https://api.homeit.io/v2/resource?apikey={{apikey}}Authorization HTTP header. Example: Authorization: Bearer {{token}}You can find additional information in the Authentication section.
If too many requests are sent in a short amount of time, a 429 Too Many Requests error is returned until request rates return to normal. Client applications should honour the following request rate limits:
All operations are automatically paginated in the following way:
{ docs: [], total: 120, limit: 10, skip: 0 }
Operations which return a single resource are still paginated, but will show total and limit values of 1.
You can define a limit on the number of documents to be returned which can range between 1 and 100 items. The default is 10 items.
Similarly, you can skip any number of documents, effectively setting the starting position by providing an index. This index should not exceed the total amount of available documents.
For example, https://api.homeit.io/v2/keys?limit=100&skip=10 returns at most 100 items, skipping the first 10 documents.
All list operations can be sorted by any of the document's fields, as long as its assigned value is a number, a string or a date.
The sortBy parameter provides the key you want to sort by, while the order parameter tells the API in which order you want your results: asc for ascending and desc for descending.
For example, https://api.homeit.io/v2/keys?sortBy=id&order=desc returns items sorted by ID, in descending order.
All operations return a collection of hypermedia links to other pages of the same request or other related requests. This collection follows the HAL format.
This behavior can be disabled by setting the hypermedia query parameter to false.
For example, https://api.homeit.io/v2/keys?hypermedia=false returns a response without hypermedia information.
All API responses are given in JSON format. All requests bodies should also be provided as JSON.
Request body content type should be application/json. Response body content type will always be application/json+hal.
All dates follow the ISO 8601 format standard.
In case of internal or external error, the following HTTP error codes will be returned:
Other 4XX and 5XX error codes may be returned upon malformed request payload or gateway errors.
During normal operation, the following HTTP codes will be returned:
All operations accept a dry boolean query parameter. When testing, you can enable dry-run mode by setting this parameter to true.
In this mode, all side-effects (such as database writes) are disabled, but responses are still returned as normal.
For example, an update request to https://api.homeit.io/v2/keys/123?dry=true would return the updated document, but no changes would be persisted.
If you would like to report an error or have any suggestions or questions regarding this API, please send us an email to backend@homeit.io. Any feedback is greatly appreciated. Please, use English for all communications.
2020-11-26
2020-02-13
Get all Boxes you have access to. You may use filters to narrow your search.
| id | Array of integers <int64> [ items <int64 > ] Example: id=123 A list of resource IDs. |
| name | string Example: name=Example The resource's name, or part of it. Case-insensitive. |
| description | string Example: description=Example The resource's description, or part of it. Case-insensitive. |
| mac | Array of strings Example: mac=8426ab951c73 A list of resource MAC addresses. |
| isActive | boolean Example: isActive=true Filter by active status. |
| createdBefore | string Example: createdBefore=2020-01-01T00:00:00.000Z Filter by creation date. Format MUST comply with ISO 8601. |
| createdAfter | string Example: createdAfter=2020-01-01T00:00:00.000Z Filter by creation date. Format MUST comply with ISO 8601. |
| dry | boolean Default: false Example: dry=true Enable dry-run mode, for testing. |
| hypermedia | boolean Default: true Example: hypermedia=false Disable hypermedia links in response. |
curl -XGET "https://api.homeit.io/v2/boxes?id=1&id=2&name=Example" \ -H "Content-type: application/json" \ -H "Authorization: Bearer {{token}}"
{- "docs": [
- {
- "id": 123,
- "name": "Box 1",
- "description": "This is a Box.",
- "mac": "8426ab951c73",
- "serialNumber": "SERIAL123",
- "isOnline": true,
- "versionHw": "1.0.0",
- "versionFw": "1.0.0",
- "versionFwFactory": "1.0.0",
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}, - {
- "id": 321,
- "name": "Box 2",
- "description": "This is a Box.",
- "mac": "8426ab951c74",
- "serialNumber": "SERIAL321",
- "isOnline": true,
- "versionHw": "1.0.0",
- "versionFw": "1.0.0",
- "versionFwFactory": "1.0.0",
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}
], - "total": 2,
- "limit": 10,
- "skip": 0
}Get a single Box by ID or MAC address.
| id | string Example: 123 A resource's ID or MAC address. |
curl -XGET "https://api.homeit.io/v2/boxes/1" \ -H "Content-type: application/json" \ -H "Authorization: Bearer {{token}}"
{- "docs": [
- {
- "id": 123,
- "name": "Box 1",
- "description": "This is a Box.",
- "mac": "8426ab951c73",
- "serialNumber": "SERIAL123",
- "isOnline": true,
- "versionHw": "1.0.0",
- "versionFw": "1.0.0",
- "versionFwFactory": "1.0.0",
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}
], - "total": 1,
- "limit": 1,
- "skip": 0
}Update a Box you own.
| id | string Example: 123 A resource's ID or MAC address. |
Box object.
| name | string The Box's name. |
| description | string The Box's description. |
{- "name": "Box 1",
- "description": "This is a Box."
}{- "docs": [
- {
- "id": 123,
- "name": "Box 1",
- "description": "This is a Box.",
- "mac": "8426ab951c73",
- "serialNumber": "SERIAL123",
- "isOnline": true,
- "versionHw": "1.0.0",
- "versionFw": "1.0.0",
- "versionFwFactory": "1.0.0",
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}
], - "total": 1,
- "limit": 1,
- "skip": 0
}Delete a Box you own.
| id | string Example: 123 A resource's ID or MAC address. |
curl -XDELETE "https://api.homeit.io/v2/boxes/1" \ -H "Content-type: application/json" \ -H "Authorization: Bearer {{token}}"
{- "docs": [
- {
- "id": 123,
- "name": "Box 1",
- "description": "This is a Box.",
- "mac": "8426ab951c73",
- "serialNumber": "SERIAL123",
- "isOnline": true,
- "versionHw": "1.0.0",
- "versionFw": "1.0.0",
- "versionFwFactory": "1.0.0",
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": true,
- "deletedAt": "2021-01-01T00:00:00.000Z"
}
], - "total": 1,
- "limit": 1,
- "skip": 0
}Get all Doors you have access to. You may use filters to narrow your search.
| id | Array of integers <int64> [ items <int64 > ] Example: id=123 A list of resource IDs. |
| name | string Example: name=Example The resource's name, or part of it. Case-insensitive. |
| description | string Example: description=Example The resource's description, or part of it. Case-insensitive. |
| box | Array of integers <int64> [ items <int64 > ] Example: box=123 A list of Box IDs. |
| property | Array of integers <int64> [ items <int64 > ] Example: property=123 A list of Property IDs. |
| keypad | Array of integers <int64> [ items <int64 > ] Example: keypad=123 A list of Keypad IDs. |
| lock | Array of integers <int64> [ items <int64 > ] Example: lock=123 A list of Lock IDs. |
| isActive | boolean Example: isActive=true Filter by active status. |
| createdBefore | string Example: createdBefore=2020-01-01T00:00:00.000Z Filter by creation date. Format MUST comply with ISO 8601. |
| createdAfter | string Example: createdAfter=2020-01-01T00:00:00.000Z Filter by creation date. Format MUST comply with ISO 8601. |
| dry | boolean Default: false Example: dry=true Enable dry-run mode, for testing. |
| hypermedia | boolean Default: true Example: hypermedia=false Disable hypermedia links in response. |
curl -XGET "https://api.homeit.io/v2/doors?id=1&id=2&name=Example" \ -H "Content-type: application/json" \ -H "Authorization: Bearer {{token}}"
{- "docs": [
- {
- "id": 123,
- "name": "Door 1",
- "description": "This is a Door.",
- "property": 1,
- "box": 2,
- "locks": [
- 3
], - "keypads": [
- 4
], - "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}, - {
- "id": 321,
- "name": "Door 2",
- "description": "This is a Door.",
- "property": 1,
- "box": 2,
- "locks": [
- 3
], - "keypads": [
- 4
], - "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}
], - "total": 2,
- "limit": 10,
- "skip": 0
}Get a single Door by ID or MAC address.
| id | integer <int64> Example: 123 A resource's ID. |
curl -XGET "https://api.homeit.io/v2/doors/1" \ -H "Content-type: application/json" \ -H "Authorization: Bearer {{token}}"
{- "docs": [
- {
- "id": 123,
- "name": "Door 1",
- "description": "This is a Door.",
- "property": 1,
- "box": 2,
- "locks": [
- 3
], - "keypads": [
- 4
], - "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}
], - "total": 1,
- "limit": 1,
- "skip": 0
}Update a Door you own.
| id | integer <int64> Example: 123 A resource's ID. |
Door object.
| name | string The Door's name. |
| description | string The Door's description. |
{- "name": "Door 1",
- "description": "This is a Door."
}{- "docs": [
- {
- "id": 123,
- "name": "Door 1",
- "description": "This is a Door.",
- "property": 1,
- "box": 2,
- "locks": [
- 3
], - "keypads": [
- 4
], - "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}
], - "total": 1,
- "limit": 1,
- "skip": 0
}Delete a Door you own.
| id | integer <int64> Example: 123 A resource's ID. |
curl -XDELETE "https://api.homeit.io/v2/doors/1" \ -H "Content-type: application/json" \ -H "Authorization: Bearer {{token}}"
{- "docs": [
- {
- "id": 123,
- "name": "Door 1",
- "description": "This is a Door.",
- "property": 1,
- "box": 2,
- "locks": [
- 3
], - "keypads": [
- 4
], - "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": true,
- "deletedAt": "2021-01-01T00:00:00.000Z"
}
], - "total": 1,
- "limit": 1,
- "skip": 0
}Get all Keys you have access to. You may use filters to narrow your search.
| id | Array of integers <int64> [ items <int64 > ] Example: id=123 A list of resource IDs. |
| name | string Example: name=Example The resource's name, or part of it. Case-insensitive. |
| description | string Example: description=Example The resource's description, or part of it. Case-insensitive. |
| door | Array of integers <int64> [ items <int64 > ] Example: door=123 A list of Door IDs. |
| isActive | boolean Example: isActive=true Filter by active status. |
| createdBefore | string Example: createdBefore=2020-01-01T00:00:00.000Z Filter by creation date. Format MUST comply with ISO 8601. |
| createdAfter | string Example: createdAfter=2020-01-01T00:00:00.000Z Filter by creation date. Format MUST comply with ISO 8601. |
| dry | boolean Default: false Example: dry=true Enable dry-run mode, for testing. |
| hypermedia | boolean Default: true Example: hypermedia=false Disable hypermedia links in response. |
curl -XGET "https://api.homeit.io/v2/keys?id=1&id=2&name=Example" \ -H "Content-type: application/json" \ -H "Authorization: Bearer {{token}}"
{- "docs": [
- {
- "id": 123,
- "name": "Key 1",
- "description": "This is a Key.",
- "doors": [
- 2,
- 3
], - "numericCode": "12345",
- "smsToken": "ABC123",
- "linkToken": "abcd1234efgh5678",
- "checkIn": "2020-01-01T00:00:00.000Z",
- "checkOut": "2021-01-01T00:00:00.000Z",
- "isExpiring": true,
- "isBooking": true,
- "bookingSource": "ical",
- "bookingId": "abc123",
- "canUse": [
- "app",
- "sms",
- "keypad"
], - "tags": [
- "integration"
], - "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}, - {
- "id": 321,
- "name": "Key 1",
- "description": "This is a Key.",
- "doors": [
- 2,
- 3
], - "numericCode": "54321",
- "smsToken": "ABC321",
- "linkToken": "efgh5678abcd1234",
- "checkIn": "2020-01-01T00:00:00.000Z",
- "checkOut": "2021-01-01T00:00:00.000Z",
- "isExpiring": true,
- "isBooking": true,
- "bookingSource": "ical",
- "bookingId": "abc321",
- "canUse": [
- "app",
- "sms",
- "keypad"
], - "tags": [
- "integration"
], - "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}
], - "total": 2,
- "limit": 10,
- "skip": 0
}Create a new Key.
Key object.
| name | string The Key's name. |
| description | string The Key's description. |
| doors | Array of integers <int64> <= 10 items unique [ items <int64 > ] The numeric IDs of the Doors this Key can open. |
| numericCode | string The code to be entered in the Keypads. Always 5 digits. |
| checkIn | string Check in date and time, after which the key becomes valid. Format MUST comply with ISO 8601. |
| checkOut | string Check out date and time, after which the key becomes invalid. Format MUST comply with ISO 8601. |
| isExpiring | boolean Does the Key expire. If false, the Key is permanent and check out value can be ignored. |
| canUse | Array of strings unique Items Enum: "app" "sms" "keypad" A list of methods in which the Key can be used. |
| tags | Array of strings unique List of tags. |
{- "id": 123
}{- "docs": [
- {
- "id": 123,
- "name": "Key 1",
- "description": "This is a Key.",
- "doors": [
- 2,
- 3
], - "numericCode": "12345",
- "smsToken": "ABC123",
- "linkToken": "abcd1234efgh5678",
- "checkIn": "2020-01-01T00:00:00.000Z",
- "checkOut": "2021-01-01T00:00:00.000Z",
- "isExpiring": true,
- "isBooking": true,
- "bookingSource": "ical",
- "bookingId": "abc123",
- "canUse": [
- "app",
- "sms",
- "keypad"
], - "tags": [
- "integration"
], - "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}
], - "total": 1,
- "limit": 1,
- "skip": 0
}Get a single Key by ID or MAC address.
| id | integer <int64> Example: 123 A resource's ID. |
curl -XGET "https://api.homeit.io/v2/keys/1" \ -H "Content-type: application/json" \ -H "Authorization: Bearer {{token}}"
{- "docs": [
- {
- "id": 123,
- "name": "Key 1",
- "description": "This is a Key.",
- "doors": [
- 2,
- 3
], - "numericCode": "12345",
- "smsToken": "ABC123",
- "linkToken": "abcd1234efgh5678",
- "checkIn": "2020-01-01T00:00:00.000Z",
- "checkOut": "2021-01-01T00:00:00.000Z",
- "isExpiring": true,
- "isBooking": true,
- "bookingSource": "ical",
- "bookingId": "abc123",
- "canUse": [
- "app",
- "sms",
- "keypad"
], - "tags": [
- "integration"
], - "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}
], - "total": 1,
- "limit": 1,
- "skip": 0
}Update a Key you own.
| id | integer <int64> Example: 123 A resource's ID. |
Key object.
| name | string The Key's name. |
| description | string The Key's description. |
| doors | Array of integers <int64> <= 10 items unique [ items <int64 > ] The numeric IDs of the Doors this Key can open. |
| checkIn | string Check in date and time, after which the key becomes valid. Format MUST comply with ISO 8601. |
| checkOut | string Check out date and time, after which the key becomes invalid. Format MUST comply with ISO 8601. |
| isExpiring | boolean Does the Key expire. If false, the Key is permanent and check out value can be ignored. |
| canUse | Array of strings unique Items Enum: "app" "sms" "keypad" A list of methods in which the Key can be used. |
| tags | Array of strings unique List of tags. |
{- "name": "Key 1",
- "description": "This is a Key.",
- "doors": [
- 2,
- 3
], - "checkIn": "2020-01-01T00:00:00.000Z",
- "checkOut": "2021-01-01T00:00:00.000Z",
- "isExpiring": true,
- "canUse": [
- "app",
- "sms",
- "keypad"
]
}{- "docs": [
- {
- "id": 123,
- "name": "Key 1",
- "description": "This is a Key.",
- "doors": [
- 2,
- 3
], - "numericCode": "12345",
- "smsToken": "ABC123",
- "linkToken": "abcd1234efgh5678",
- "checkIn": "2020-01-01T00:00:00.000Z",
- "checkOut": "2021-01-01T00:00:00.000Z",
- "isExpiring": true,
- "isBooking": true,
- "bookingSource": "ical",
- "bookingId": "abc123",
- "canUse": [
- "app",
- "sms",
- "keypad"
], - "tags": [
- "integration"
], - "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}
], - "total": 1,
- "limit": 1,
- "skip": 0
}Delete a Key you own.
| id | integer <int64> Example: 123 A resource's ID. |
curl -XDELETE "https://api.homeit.io/v2/keys/1" \ -H "Content-type: application/json" \ -H "Authorization: Bearer {{token}}"
{- "docs": [
- {
- "id": 123,
- "name": "Key 1",
- "description": "This is a Key.",
- "doors": [
- 2,
- 3
], - "numericCode": "12345",
- "smsToken": "ABC123",
- "linkToken": "abcd1234efgh5678",
- "checkIn": "2020-01-01T00:00:00.000Z",
- "checkOut": "2021-01-01T00:00:00.000Z",
- "isExpiring": true,
- "isBooking": true,
- "bookingSource": "ical",
- "bookingId": "abc123",
- "canUse": [
- "app",
- "sms",
- "keypad"
], - "tags": [
- "integration"
], - "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": true,
- "deletedAt": "2021-01-01T00:00:00.000Z"
}
], - "total": 1,
- "limit": 1,
- "skip": 0
}Get all Key Events you have access to. You may use filters to narrow your search.
| id | Array of integers <int64> [ items <int64 > ] Example: id=123 A list of resource IDs. |
| door | Array of integers <int64> [ items <int64 > ] Example: door=123 A list of Door IDs. |
| source | Array of strings Items Enum: "keypad" "app" "sms" "owner" Example: source=keypad A list of Key Event sources. |
| createdBefore | string Example: createdBefore=2020-01-01T00:00:00.000Z Filter by creation date. Format MUST comply with ISO 8601. |
| createdAfter | string Example: createdAfter=2020-01-01T00:00:00.000Z Filter by creation date. Format MUST comply with ISO 8601. |
| dry | boolean Default: false Example: dry=true Enable dry-run mode, for testing. |
| hypermedia | boolean Default: true Example: hypermedia=false Disable hypermedia links in response. |
curl -XGET "https://api.homeit.io/v2/keyevents?id=1&id=2&name=Example" \ -H "Content-type: application/json" \ -H "Authorization: Bearer {{token}}"
{- "docs": [
- {
- "id": 123,
- "timestamp": "2020-01-01T00:00:00.000Z",
- "key": 1,
- "door": 2,
- "guest": 3,
- "source": "keypad",
- "dateCreated": "2021-01-01T00:00:00.000Z"
}, - {
- "id": 321,
- "timestamp": "2020-01-01T00:00:00.000Z",
- "key": 1,
- "door": 2,
- "guest": 3,
- "source": "sms",
- "dateCreated": "2021-01-01T00:00:00.000Z"
}
], - "total": 2,
- "limit": 10,
- "skip": 0
}Get a single Key Event by ID or MAC address.
| id | integer <int64> Example: 123 A resource's ID. |
curl -XGET "https://api.homeit.io/v2/keyevents/1" \ -H "Content-type: application/json" \ -H "Authorization: Bearer {{token}}"
{- "docs": [
- {
- "id": 123,
- "timestamp": "2020-01-01T00:00:00.000Z",
- "key": 1,
- "door": 2,
- "guest": 3,
- "source": "keypad",
- "dateCreated": "2021-01-01T00:00:00.000Z"
}
], - "total": 1,
- "limit": 1,
- "skip": 0
}Get all Keypads you have access to. You may use filters to narrow your search.
| id | Array of integers <int64> [ items <int64 > ] Example: id=123 A list of resource IDs. |
| name | string Example: name=Example The resource's name, or part of it. Case-insensitive. |
| description | string Example: description=Example The resource's description, or part of it. Case-insensitive. |
| type | Array of strings Items Enum: "wired" "ble" Example: type=ble A list of Keypad types. |
| mac | Array of strings Example: mac=8426ab951c73 A list of resource MAC addresses. |
| isActive | boolean Example: isActive=true Filter by active status. |
| createdBefore | string Example: createdBefore=2020-01-01T00:00:00.000Z Filter by creation date. Format MUST comply with ISO 8601. |
| createdAfter | string Example: createdAfter=2020-01-01T00:00:00.000Z Filter by creation date. Format MUST comply with ISO 8601. |
| dry | boolean Default: false Example: dry=true Enable dry-run mode, for testing. |
| hypermedia | boolean Default: true Example: hypermedia=false Disable hypermedia links in response. |
curl -XGET "https://api.homeit.io/v2/keypads?id=1&id=2&name=Example" \ -H "Content-type: application/json" \ -H "Authorization: Bearer {{token}}"
{- "docs": [
- {
- "id": 123,
- "name": "Keypad 1",
- "description": "This is a Keypad.",
- "type": "ble",
- "mac": "8426ab951c73",
- "model": "pad",
- "versionHw": "1.0.0",
- "versionFw": "1.0.0",
- "batteryLevel": 100,
- "isConnected": true,
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}, - {
- "id": 321,
- "name": "Keypad 2",
- "description": "This is a Keypad.",
- "type": "ble",
- "mac": "8426ab951c74",
- "model": "pad",
- "versionHw": "1.0.0",
- "versionFw": "1.0.0",
- "batteryLevel": 100,
- "isConnected": true,
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}
], - "total": 2,
- "limit": 10,
- "skip": 0
}Get a single Keypad by ID or MAC address.
| id | string Example: 123 A resource's ID or MAC address. |
curl -XGET "https://api.homeit.io/v2/keypads/1" \ -H "Content-type: application/json" \ -H "Authorization: Bearer {{token}}"
{- "docs": [
- {
- "id": 123,
- "name": "Keypad 1",
- "description": "This is a Keypad.",
- "type": "ble",
- "mac": "8426ab951c73",
- "model": "pad",
- "versionHw": "1.0.0",
- "versionFw": "1.0.0",
- "batteryLevel": 100,
- "isConnected": true,
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}
], - "total": 1,
- "limit": 1,
- "skip": 0
}Update a Keypad you own.
| id | string Example: 123 A resource's ID or MAC address. |
Keypad object.
| name | string The Keypad's name. |
| description | string The Keypad's description. |
{- "name": "Keypad 1",
- "description": "This is a Keypad."
}{- "docs": [
- {
- "id": 123,
- "name": "Keypad 1",
- "description": "This is a Keypad.",
- "type": "ble",
- "mac": "8426ab951c73",
- "model": "pad",
- "versionHw": "1.0.0",
- "versionFw": "1.0.0",
- "batteryLevel": 100,
- "isConnected": true,
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}
], - "total": 1,
- "limit": 1,
- "skip": 0
}Delete a Keypad you own.
| id | string Example: 123 A resource's ID or MAC address. |
curl -XDELETE "https://api.homeit.io/v2/keypads/1" \ -H "Content-type: application/json" \ -H "Authorization: Bearer {{token}}"
{- "docs": [
- {
- "id": 123,
- "name": "Keypad 1",
- "description": "This is a Keypad.",
- "type": "ble",
- "mac": "8426ab951c73",
- "model": "pad",
- "versionHw": "1.0.0",
- "versionFw": "1.0.0",
- "batteryLevel": 100,
- "isConnected": true,
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": true,
- "deletedAt": "2021-01-01T00:00:00.000Z"
}
], - "total": 1,
- "limit": 1,
- "skip": 0
}Get all Locks you have access to. You may use filters to narrow your search.
| id | Array of integers <int64> [ items <int64 > ] Example: id=123 A list of resource IDs. |
| name | string Example: name=Example The resource's name, or part of it. Case-insensitive. |
| description | string Example: description=Example The resource's description, or part of it. Case-insensitive. |
| type | Array of strings Items Enum: "passive" "active" "ble" Example: type=ble A list of Lock types. |
| mac | Array of strings Example: mac=8426ab951c73 A list of resource MAC addresses. |
| isActive | boolean Example: isActive=true Filter by active status. |
| createdBefore | string Example: createdBefore=2020-01-01T00:00:00.000Z Filter by creation date. Format MUST comply with ISO 8601. |
| createdAfter | string Example: createdAfter=2020-01-01T00:00:00.000Z Filter by creation date. Format MUST comply with ISO 8601. |
| dry | boolean Default: false Example: dry=true Enable dry-run mode, for testing. |
| hypermedia | boolean Default: true Example: hypermedia=false Disable hypermedia links in response. |
curl -XGET "https://api.homeit.io/v2/locks?id=1&id=2&name=Example" \ -H "Content-type: application/json" \ -H "Authorization: Bearer {{token}}"
{- "docs": [
- {
- "id": 123,
- "name": "Lock 1",
- "description": "This is a Lock.",
- "type": "ble",
- "mac": "8426ab951c73",
- "model": "pad",
- "versionHw": "1.0.0",
- "versionFw": "1.0.0",
- "batteryLevel": 100,
- "isConnected": true,
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}, - {
- "id": 321,
- "name": "Lock 2",
- "description": "This is a Lock.",
- "type": "ble",
- "mac": "8426ab951c74",
- "model": "pad",
- "versionHw": "1.0.0",
- "versionFw": "1.0.0",
- "batteryLevel": 100,
- "isConnected": true,
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}
], - "total": 2,
- "limit": 10,
- "skip": 0
}Get a single Lock by ID or MAC address.
| id | string Example: 123 A resource's ID or MAC address. |
curl -XGET "https://api.homeit.io/v2/locks/1" \ -H "Content-type: application/json" \ -H "Authorization: Bearer {{token}}"
{- "docs": [
- {
- "id": 123,
- "name": "Lock 1",
- "description": "This is a Lock.",
- "type": "ble",
- "mac": "8426ab951c73",
- "model": "pad",
- "versionHw": "1.0.0",
- "versionFw": "1.0.0",
- "batteryLevel": 100,
- "isConnected": true,
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}
], - "total": 1,
- "limit": 1,
- "skip": 0
}Update a Lock you own.
| id | string Example: 123 A resource's ID or MAC address. |
Lock object.
[object Object]
{- "name": "Lock 1",
- "description": "This is a Lock."
}{- "docs": [
- {
- "id": 123,
- "name": "Lock 1",
- "description": "This is a Lock.",
- "type": "ble",
- "mac": "8426ab951c73",
- "model": "pad",
- "versionHw": "1.0.0",
- "versionFw": "1.0.0",
- "batteryLevel": 100,
- "isConnected": true,
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}
], - "total": 1,
- "limit": 1,
- "skip": 0
}Delete a Lock you own.
| id | string Example: 123 A resource's ID or MAC address. |
curl -XDELETE "https://api.homeit.io/v2/locks/1" \ -H "Content-type: application/json" \ -H "Authorization: Bearer {{token}}"
{- "docs": [
- {
- "id": 123,
- "name": "Lock 1",
- "description": "This is a Lock.",
- "type": "ble",
- "mac": "8426ab951c73",
- "model": "pad",
- "versionHw": "1.0.0",
- "versionFw": "1.0.0",
- "batteryLevel": 100,
- "isConnected": true,
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": true,
- "deletedAt": "2021-01-01T00:00:00.000Z"
}
], - "total": 1,
- "limit": 1,
- "skip": 0
}Get all Properties you have access to. You may use filters to narrow your search.
| id | Array of integers <int64> [ items <int64 > ] Example: id=123 A list of resource IDs. |
| name | string Example: name=Example The resource's name, or part of it. Case-insensitive. |
| description | string Example: description=Example The resource's description, or part of it. Case-insensitive. |
| address | string Example: address=Portugal An entire or part of an address. You can filter by country, city or any other address field. Case-insensitve. |
| isActive | boolean Example: isActive=true Filter by active status. |
| createdBefore | string Example: createdBefore=2020-01-01T00:00:00.000Z Filter by creation date. Format MUST comply with ISO 8601. |
| createdAfter | string Example: createdAfter=2020-01-01T00:00:00.000Z Filter by creation date. Format MUST comply with ISO 8601. |
| dry | boolean Default: false Example: dry=true Enable dry-run mode, for testing. |
| hypermedia | boolean Default: true Example: hypermedia=false Disable hypermedia links in response. |
curl -XGET "https://api.homeit.io/v2/properties?id=1&id=2&name=Example" \ -H "Content-type: application/json" \ -H "Authorization: Bearer {{token}}"
{- "docs": [
- {
- "id": 123,
- "name": "Property 1",
- "description": "This is a Property.",
- "owners": [
- 1
], - "address": {
- "formatted": "Rua Augusta 1, Lisboa, Portugal",
- "apartmentNumber": "Esq",
- "floor": 1,
- "streetNumber": 1,
- "street": "Rua Augusta",
- "locality": "Lisboa",
- "area": "Baixa",
- "postalCode": 1000,
- "country": "Portugal"
}, - "location": {
- "type": "Point",
- "coordinates": [
- 38.730631,
- -9.154699
]
}, - "timezone": "Europe/Lisbon",
- "defaultCheckIn": 600,
- "defaultCheckOut": 1080,
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}, - {
- "id": 321,
- "name": "Property 2",
- "description": "This is a Property.",
- "owners": [
- 1
], - "address": {
- "formatted": "Rua Augusta 2, Lisboa, Portugal",
- "apartmentNumber": "Esq",
- "floor": 1,
- "streetNumber": 1,
- "street": "Rua Augusta",
- "locality": "Lisboa",
- "area": "Baixa",
- "postalCode": 1000,
- "country": "Portugal"
}, - "location": {
- "type": "Point",
- "coordinates": [
- 38.730631,
- -9.154699
]
}, - "timezone": "Europe/Lisbon",
- "defaultCheckIn": 600,
- "defaultCheckOut": 1080,
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}
], - "total": 2,
- "limit": 10,
- "skip": 0
}Get a single Property by ID or MAC address.
| id | integer <int64> Example: 123 A resource's ID. |
curl -XGET "https://api.homeit.io/v2/properties/1" \ -H "Content-type: application/json" \ -H "Authorization: Bearer {{token}}"
{- "docs": [
- {
- "id": 123,
- "name": "Property 1",
- "description": "This is a Property.",
- "owners": [
- 1
], - "address": {
- "formatted": "Rua Augusta 1, Lisboa, Portugal",
- "apartmentNumber": "Esq",
- "floor": 1,
- "streetNumber": 1,
- "street": "Rua Augusta",
- "locality": "Lisboa",
- "area": "Baixa",
- "postalCode": 1000,
- "country": "Portugal"
}, - "location": {
- "type": "Point",
- "coordinates": [
- 38.730631,
- -9.154699
]
}, - "timezone": "Europe/Lisbon",
- "defaultCheckIn": 600,
- "defaultCheckOut": 1080,
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}
], - "total": 1,
- "limit": 1,
- "skip": 0
}Update a Property you own.
| id | integer <int64> Example: 123 A resource's ID. |
Property object.
| name | string The Property's name. |
| description | string The Property's description. |
object The Property's address. | |
object Location coordinates: longitude, latitude and optional altitude. | |
| defaultCheckIn | integer <int32> [ 0 .. 1439 ] This Property's default check in time. Used in user interfaces to provide a default value. Expressed in minutes after midnight (for example, a value of |
| defaultCheckOut | integer <int32> [ 0 .. 1439 ] This Property's default check out time. Used in user interfaces to provide a default value. Expressed in minutes after midnight (for example, a value of |
{- "name": "Property 1",
- "description": "This is a Property.",
- "address": {
- "apartmentNumber": "Esq",
- "floor": 1,
- "streetNumber": 1,
- "street": "Rua Augusta",
- "locality": "Lisboa",
- "area": "Baixa",
- "postalCode": 1000,
- "country": "Portugal"
}, - "coordinates": {
- "lat": 38.730631,
- "lng": -9.154699,
- "alt": 100
}, - "defaultCheckIn": 600,
- "defaultCheckOut": 1080
}{- "docs": [
- {
- "id": 123,
- "name": "Property 1",
- "description": "This is a Property.",
- "owners": [
- 1
], - "address": {
- "formatted": "Rua Augusta 1, Lisboa, Portugal",
- "apartmentNumber": "Esq",
- "floor": 1,
- "streetNumber": 1,
- "street": "Rua Augusta",
- "locality": "Lisboa",
- "area": "Baixa",
- "postalCode": 1000,
- "country": "Portugal"
}, - "location": {
- "type": "Point",
- "coordinates": [
- 38.730631,
- -9.154699
]
}, - "timezone": "Europe/Lisbon",
- "defaultCheckIn": 600,
- "defaultCheckOut": 1080,
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}
], - "total": 1,
- "limit": 1,
- "skip": 0
}Delete a Property you own.
| id | integer <int64> Example: 123 A resource's ID. |
curl -XDELETE "https://api.homeit.io/v2/properties/1" \ -H "Content-type: application/json" \ -H "Authorization: Bearer {{token}}"
{- "docs": [
- {
- "id": 123,
- "name": "Property 1",
- "description": "This is a Property.",
- "owners": [
- 1
], - "address": {
- "formatted": "Rua Augusta 1, Lisboa, Portugal",
- "apartmentNumber": "Esq",
- "floor": 1,
- "streetNumber": 1,
- "street": "Rua Augusta",
- "locality": "Lisboa",
- "area": "Baixa",
- "postalCode": 1000,
- "country": "Portugal"
}, - "location": {
- "type": "Point",
- "coordinates": [
- 38.730631,
- -9.154699
]
}, - "timezone": "Europe/Lisbon",
- "defaultCheckIn": 600,
- "defaultCheckOut": 1080,
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": true,
- "deletedAt": "2021-01-01T00:00:00.000Z"
}
], - "total": 1,
- "limit": 1,
- "skip": 0
}| id | integer <int64> The Box's numeric ID. |
| name | string The Box's name. |
| description | string The Box's description. |
| mac | string The Box's MAC Address. |
| serialNumber | string The Box's serial number. |
| isOnline | boolean Is the Box online? |
| versionHw | string The Box's hardware version. Follows SemVer. |
| versionFw | string The Box's firmware Version. Follows SemVer. |
| versionFwFactory | string The Box's factory firmware version. Follows SemVer. |
| isActive | boolean (isActive) Is the resource active? |
| dateCreated | string (dateCreated) Creation date and time. Format MUST comply with ISO 8601. |
| dateUpdated | string (dateUpdated) Last update date and time. Format MUST comply with ISO 8601. |
| deleted | boolean (deleted) Is the resource deleted? |
| deletedAt | string (deletedAt) Deletion date and time. Format MUST comply with ISO 8601. |
Box Example
{- "id": 123,
- "name": "Box 1",
- "description": "This is a Box.",
- "mac": "8426ab951c73",
- "serialNumber": "SERIAL123",
- "isOnline": true,
- "versionHw": "1.0.0",
- "versionFw": "1.0.0",
- "versionFwFactory": "1.0.0",
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}| id | integer <int64> The Door's numeric ID. |
| name | string The Door's name. |
| description | string The Door's description. |
| property | integer <int64> The Property to which this Door belongs. |
| box | integer <int64> The Box currently installed on this Door. |
| locks | Array of integers <int64> unique [ items <int64 > ] The Locks currently installed on this Door. |
| keypads | Array of integers <int64> unique [ items <int64 > ] The Keypads currently installed on this Door. |
| isActive | boolean (isActive) Is the resource active? |
| dateCreated | string (dateCreated) Creation date and time. Format MUST comply with ISO 8601. |
| dateUpdated | string (dateUpdated) Last update date and time. Format MUST comply with ISO 8601. |
| deleted | boolean (deleted) Is the resource deleted? |
| deletedAt | string (deletedAt) Deletion date and time. Format MUST comply with ISO 8601. |
Door Example
{- "id": 123,
- "name": "Door 1",
- "description": "This is a Door.",
- "property": 1,
- "box": 2,
- "locks": [
- 3
], - "keypads": [
- 4
], - "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}| id | integer <int64> The Key's numeric ID. |
| name | string The Key's name. |
| description | string The Key's description. |
| guests | Array of integers <int64> unique [ items <int64 > ] The guests who can use this Key. Populated via integrations. |
| doors | Array of integers <int64> unique [ items <int64 > ] The numeric IDs of the Doors this Key can open. |
| numericCode | string The code to be entered in the Keypads. Always 5 digits. |
| smsToken | string The token to be sent via SMS. Always 6 characters. |
| linkToken | string The token to be used by the guest to access the Key's information. |
| checkIn | string Check in date and time, after which the key becomes valid. Format MUST comply with ISO 8601. |
| checkOut | string Check out date and time, after which the key becomes invalid. Format MUST comply with ISO 8601. |
| isExpiring | boolean Does the Key expire. If false, the Key is permanent and check out value can be ignored. |
| isBooking | boolean Was the Key created via an integration? |
| bookingSource | string The name of the integration that generated the Key. |
| bookingId | string The ID of the booking obtained via integration. |
| canUse | Array of strings unique A list of methods in which the Key can be used. |
| tags | Array of strings unique List of tags. |
| isActive | boolean (isActive) Is the resource active? |
| dateCreated | string (dateCreated) Creation date and time. Format MUST comply with ISO 8601. |
| dateUpdated | string (dateUpdated) Last update date and time. Format MUST comply with ISO 8601. |
| deleted | boolean (deleted) Is the resource deleted? |
| deletedAt | string (deletedAt) Deletion date and time. Format MUST comply with ISO 8601. |
Key Example
{- "id": 123,
- "name": "Key 1",
- "description": "This is a Key.",
- "doors": [
- 2,
- 3
], - "numericCode": "12345",
- "smsToken": "ABC123",
- "linkToken": "abcd1234efgh5678",
- "checkIn": "2020-01-01T00:00:00.000Z",
- "checkOut": "2021-01-01T00:00:00.000Z",
- "isExpiring": true,
- "isBooking": true,
- "bookingSource": "ical",
- "bookingId": "abc123",
- "canUse": [
- "app",
- "sms",
- "keypad"
], - "tags": [
- "integration"
], - "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}| id | integer <int64> The Key Event's numeric ID. |
| timestamp | string When the Key Event ocurred. Format MUST comply with ISO 8601. |
| key | integer <int64> The Key that was used to open the door. |
| door | integer <int64> The door that was opened to generate this Key Event. |
| guest | integer <int64> The guest who generated this Key Event. |
| source | string Enum: "keypad" "app" "sms" "owner" The method used to open the door. |
| dateCreated | string (dateCreated) Creation date and time. Format MUST comply with ISO 8601. |
Key Event Example
{- "id": 123,
- "key": 1,
- "door": 2,
- "guest": 3,
- "source": "keypad",
- "dateCreated": "2021-01-01T00:00:00.000Z"
}| id | integer <int64> The Keypad's numeric ID. |
| name | string The Keypad's name. |
| description | string The Keypad's description. |
| type | string Enum: "wired" "ble" The type of the Keypad. |
| mac | string The Keypad's MAC Address. |
| model | string The keypad's model name. |
| versionHw | string The Keypad's hardware version. Follows SemVer. |
| versionFw | string The Keypad's firmware Version. Follows SemVer. |
| batteryLevel | integer <int32> [ 0 .. 100 ] The Keypad's remaining battery percentage. |
| isConnected | boolean Is the device currently connected to the Box? |
| isActive | boolean (isActive) Is the resource active? |
| dateCreated | string (dateCreated) Creation date and time. Format MUST comply with ISO 8601. |
| dateUpdated | string (dateUpdated) Last update date and time. Format MUST comply with ISO 8601. |
| deleted | boolean (deleted) Is the resource deleted? |
| deletedAt | string (deletedAt) Deletion date and time. Format MUST comply with ISO 8601. |
Keypad Example
{- "id": 123,
- "name": "Keypad 1",
- "description": "This is a Keypad.",
- "type": "ble",
- "mac": "8426ab951c73",
- "model": "pad",
- "versionHw": "1.0.0",
- "versionFw": "1.0.0",
- "batteryLevel": 100,
- "isConnected": true,
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}| id | integer <int64> The Lock's numeric ID. |
| name | string The Lock's name. |
| description | string The Lock's description. |
| type | string Enum: "passive" "active" "ble" The type of the Lock. |
| mac | string The Lock's MAC Address. |
| model | string The Lock's model name. |
| versionHw | string The Lock's hardware version. Follows SemVer. |
| versionFw | string The Lock's firmware Version. Follows SemVer. |
| batteryLevel | integer <int32> [ 0 .. 100 ] The Lock's remaining battery percentage. |
| isConnected | boolean Is the device currently connected to the Box? |
| timing | integer <int32> Time (in seconds) before the auto-lock function is activated. |
| lockingType | string Enum: "latch" "full" "1-turn" "2-turn" How many turns it takes to lock the door. |
| isActive | boolean (isActive) Is the resource active? |
| dateCreated | string (dateCreated) Creation date and time. Format MUST comply with ISO 8601. |
| dateUpdated | string (dateUpdated) Last update date and time. Format MUST comply with ISO 8601. |
| deleted | boolean (deleted) Is the resource deleted? |
| deletedAt | string (deletedAt) Deletion date and time. Format MUST comply with ISO 8601. |
Lock Example
{- "id": 123,
- "name": "Lock 1",
- "description": "This is a Lock.",
- "type": "ble",
- "mac": "8426ab951c73",
- "model": "nuki",
- "versionHw": "1.0.0",
- "versionFw": "1.0.0",
- "batteryLevel": 100,
- "isConnected": true,
- "timing": 60,
- "lockingType": "full",
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}| id | integer <int64> The Property's numeric ID. |
| name | string The Property's name. |
| description | string The Property's description. |
| owners | Array of integers <int64> <= 100 items unique [ items <int64 > ] A list of Property owners (Users and Organizations). |
object The Property's address. | |
| timezone | string The timezone of the Property. Expressed as a tz database time zone name. |
| defaultCheckIn | integer <int32> [ 0 .. 1439 ] This Property's default check in time. Used in user interfaces to provide a default value. Expressed in minutes after midnight (for example, a value of |
| defaultCheckOut | integer <int32> [ 0 .. 1439 ] This Property's default check out time. Used in user interfaces to provide a default value. Expressed in minutes after midnight (for example, a value of |
| isActive | boolean (isActive) Is the resource active? |
| dateCreated | string (dateCreated) Creation date and time. Format MUST comply with ISO 8601. |
| dateUpdated | string (dateUpdated) Last update date and time. Format MUST comply with ISO 8601. |
| deleted | boolean (deleted) Is the resource deleted? |
| deletedAt | string (deletedAt) Deletion date and time. Format MUST comply with ISO 8601. |
Property Example
{- "id": 123,
- "name": "Property 1",
- "description": "This is a Property.",
- "owners": [
- 1
], - "address": {
- "formatted": "Rua Augusta 1, Lisboa, Portugal",
- "apartmentNumber": "Esq",
- "floor": 1,
- "streetNumber": 1,
- "street": "Rua Augusta",
- "locality": "Lisboa",
- "area": "Baixa",
- "postalCode": 1000,
- "country": "Portugal"
}, - "location": {
- "type": "Point",
- "coordinates": [
- 38.730631,
- -9.154699
]
}, - "timezone": "Europe/Lisbon",
- "defaultCheckIn": 600,
- "defaultCheckOut": 1080,
- "isActive": true,
- "dateCreated": "2021-01-01T00:00:00.000Z",
- "dateUpdated": "2021-01-01T00:00:00.000Z",
- "deleted": false
}